@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');

* {
    font-family: 'Inter', sans-serif;
    margin: 0;
    padding: 0;
    -webkit-tap-highlight-color: transparent;
}

body {
    font-family: 'Inter', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    transition: 0.25s;

    height: 100svh;
    width: 100%;

}

#leftSide {
    width: 25%;
    height: 100%;
}

#rightSide {
    width: 25%;
    height: 100%;
}

.hero {
    display: flex;
    flex-direction: row;
    height: 100%;
    width: 100%;
}

.colorTab {
    display: flex;
    height: 100%;
    width: 50%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#hexText {
    font-family: 'Inter', sans-serif;
    font-size: 3rem;
    font-weight: 700;
    cursor: pointer;
    /* margin-top: 4rem; */
    border-radius: 0.75rem;
    padding: 0.25rem 1rem;

    -webkit-tap-highlight-color: transparent;
}

#rgbText {
    font-family: 'Inter', sans-serif;
    font-size: 1.5rem;
    font-weight: 700;
    opacity: 50%;
}

#message {
    margin-bottom: 0.75rem;
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    font-size: 1rem;
    font-weight: 600;
    visibility: hidden;
}


#generateButton {
    font-family: 'Inter', sans-serif;
    cursor: pointer;
    margin-top: 3rem;
    padding: 0.25rem 1rem;
    font-size: 1.25rem;
    font-weight: 600;
    border-style: solid;
    border-radius: 0.60rem;
    border-color: transparent;
    -webkit-tap-highlight-color: transparent;
    user-select: none;
}

@media (min-width: 769px) {

    #generateButton:hover,
    #generateButton:focus {
        transform: scale(0.9);
        opacity: 50%;
        transition: 0.2s ease-in-out;
    }

    #hexText:hover,
    #hexText:focus {
        transition: 0.2s ease-in-out;
    }
}

@media (max-width: 768px) {

    .colorTab {
        height: 100vh;
    }

    #hexText {
        font-size: 2.5rem;
    }

    #rgbText {
        font-size: 1.25rem;
    }

    #generateButton {
        font-size: 1.25rem;
    }

    #generateButton:active {
        animation: phoneButtonEffect 0.5s ease-in-out;
    }

    #hexText:active {
        animation: phoneButtonEffect 0.5s ease-in-out;
    }

    @keyframes phoneButtonEffect {
        50% {
            transform: scale(0.8)
        }

        100% {
            transform: scale(1)
        }
    }
}
